veg<- read.csv("Drive:/surv_all_top13veg.csv",header=TRUE)
summary(veg)


veg$Allium=factor(veg$Allium,levels=c("0","1"),labels=c("Absent","Present"))
veg$Bromus=factor(veg$Bromus,levels=c("0","1"),labels=c("Absent","Present"))
veg$Collomia=factor(veg$Collomia,levels=c("0","1"),labels=c("Absent","Present"))
veg$Epilobium=factor(veg$Epilobium,levels=c("0","1"),labels=c("Absent","Present"))
veg$Erigeron=factor(veg$Erigeron,levels=c("0","1"),labels=c("Absent","Present"))
veg$Frasera=factor(veg$Frasera,levels=c("0","1"),labels=c("Absent","Present"))
veg$Gayophytum=factor(veg$Gayophytum,levels=c("0","1"),labels=c("Absent","Present"))
veg$Lomatium=factor(veg$Lomatium,levels=c("0","1"),labels=c("Absent","Present"))
veg$Lupinus=factor(veg$Lupinus,levels=c("0","1"),labels=c("Absent","Present"))
veg$Navarretia=factor(veg$Navarretia,levels=c("0","1"),labels=c("Absent","Present"))
veg$Perideridia=factor(veg$Perideridia,levels=c("0","1"),labels=c("Absent","Present"))
veg$Pinus=factor(veg$Pinus,levels=c("0","1"),labels=c("Absent","Present"))
veg$Poa=factor(veg$Poa,levels=c("0","1"),labels=c("Absent","Present"))
veg$Age=factor(veg$Age, levels=c("A","J"), labels=c("Adults","Juveniles"))

adult<-subset(veg,Age=="Adults")
juv<-subset(veg,Age=="Juveniles")


require(MuMIn)
# change na. action
options(na.action = "na.fail")

#dredge all additive model combinations
all.parms1<-glm(surv~Age+Allium+Bromus+Collomia+Epilobium+Erigeron+Frasera+Gayophytum+Lomatium+Lupinus+Navarretia+Perideridia+Pinus+Poa,
               data = veg, family="binomial")
results1<-dredge(all.parms1)
results1

#set output folder for results of model selection
setwd("Drive:/location/")
write.csv(results, file = "name.csv", row.names = FALSE)



